ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Swapan Shridhar (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-22015) livy2 interpreter errors (unable to impersonate users/ LLAP or Hive CNF issue) due to missing proxy configs
Date Mon, 25 Sep 2017 22:36:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-22015?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Swapan Shridhar updated AMBARI-22015:
-------------------------------------
    Affects Version/s: 2.5.1

> livy2 interpreter errors (unable to impersonate users/ LLAP or Hive CNF issue) due to
missing proxy configs
> -----------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-22015
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22015
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.5.1
>            Reporter: Mingjie Tang
>            Assignee: Mingjie Tang
>             Fix For: trunk, 2.6.0
>
>         Attachments: AMBARI-22015.patch
>
>
> This seems to have regressed in Run ID : 61142, but was working fine in Run ID : 60868
(which was Thursday night run). Livy for Spark2 is failing to impersonate users
> 17/08/28 17:45:55 INFO ContextLauncher: ERROR: org.apache.hadoop.security.authorize.AuthorizationException:
User: livy is not allowed to impersonate hrt_1
> 17/08/28 17:45:55 WARN ContextLauncher: Child process exited with code 1.
> 17/08/28 17:45:55 ERROR RSCClient: Failed to connect to context.
> java.io.IOException: Child process exited with code 1.
>         at com.cloudera.livy.rsc.ContextLauncher$ChildProcess$1.run(ContextLauncher.java:416)
>         at com.cloudera.livy.rsc.ContextLauncher$ChildProcess$2.run(ContextLauncher.java:490)
>         at java.lang.Thread.run(Thread.java:748)
> after I setup hadoop.proxyusers.livy.hosts=* and hadoop.proxyusers.livy.groups=* in core-site
> it gives following error which is expected because of some other test failures on this
cluster
> java.lang.IllegalArgumentException: Unable to instantiate SparkSession with LLAP support
because LLAP or Hive classes are not found.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message